import request from '@/utils/request'
const service_name = "oil-site"
const group_name = "oilSiteAccountAppInfo"
export default {
	//统计用户油卡总数量、总余额 
	getTotalOilCardInfo (data) {
	  return request({
	    url: `/${service_name}/${group_name}/getTotalOilCardInfo`,
	    method: 'get',
		   data:data
	  })
	},
	//获取用户油卡账户信息 （个人 / 自营 / 外请）
	getUserAccount (data) {
	  return request({
	    url: `/${service_name}/${group_name}/getUserAccount`,
	    method: 'get',
		   data:data
	  })
	},
	getUserInfo(data) {
	  return request({
	    url: `/${service_name}/${group_name}/getUserSetInfo`,
	    method: 'get',
		   data:data
	  })
	},
	logout(authSystem){
		return request({
		  url: `/${service_name}/${group_name}/logoutAuthSystem/${authSystem}`,
		  method: 'get'
		})
	},
	// logout(){
	// 	return request({
	// 	  url: `/${service_name}/${group_name}/logout`,
	// 	  method: 'get'
	// 	})
	// },
	getCustomerAccount(){
		return request({
		  url: `/${service_name}/${group_name}/getCustomerAccount`,
		  method: 'get'
		})
	},
	getUserPayInfo(data) {
	  return request({
	    url: `/${service_name}/${group_name}/getUserPayInfo`,
	    method: 'post',
		   data:data
	  })
	},
	pollingPayResult(id) {
	  return request({
	    url: `/${service_name}/${group_name}/pollingPayResult/${id}`,
	    method: 'get'
	  })
	},
	getOilCardRecordByPage(data) {
	  return request({
	    url: `/${service_name}/${group_name}/getOilCardRecordByPage`,
	    method: 'post',
		   data:data
	  })
	},
	switchAccountInfo(role){
		return request({
		  url: `/${service_name}/${group_name}/switchAccountInfo/${role}`,
		  method: 'get'
		})
	},
}
